/**************************************************************************\
*          Copyright (c) 1992 INRIA Sophia Antipolis, FRANCE.              *
*                                                                          *
* Permission to use, copy, modify, and distribute this material for any    *
* purpose and without fee is hereby granted, provided that the above       *
* copyright notice and this permission notice appear in all copies.        *
* WE MAKE NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY OF THIS     *
* MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED "AS IS", WITHOUT ANY EXPRESS   *
* OR IMPLIED WARRANTIES.                                                   *
\**************************************************************************/
/**************************************************************************\
*                                                                          *
*  File    : quantizer.h                                                   *
*  Date    : May 1992                                                      *
*  Author  : Thierry Turletti                                              *
*--------------------------------------------------------------------------*
*  Description :  Reconstruction levels (REC).                             *
*     - tab_rec1 --> (int)(REC*Rac2Sur16).                                 *
*     - tab_rec2 --> (int)(REC / 16).                                      *
*                                                                          *
\**************************************************************************/




static int tab_rec1[31][255] = {
{
 -23,  -22,  -22,  -22,  -22,  -22,  -21,  -21,  -21,  -21, 
 -21,  -21,  -20,  -20,  -20,  -20,  -20,  -20,  -19,  -19, 
 -19,  -19,  -19,  -18,  -18,  -18,  -18,  -18,  -18,  -17, 
 -17,  -17,  -17,  -17,  -17,  -16,  -16,  -16,  -16,  -16, 
 -15,  -15,  -15,  -15,  -15,  -15,  -14,  -14,  -14,  -14, 
 -14,  -14,  -13,  -13,  -13,  -13,  -13,  -12,  -12,  -12, 
 -12,  -12,  -12,  -11,  -11,  -11,  -11,  -11,  -11,  -10, 
 -10,  -10,  -10,  -10,   -9,   -9,   -9,   -9,   -9,   -9, 
  -8,   -8,   -8,   -8,   -8,   -8,   -7,   -7,   -7,   -7, 
  -7,   -6,   -6,   -6,   -6,   -6,   -6,   -5,   -5,   -5, 
  -5,   -5,   -5,   -4,   -4,   -4,   -4,   -4,   -3,   -3, 
  -3,   -3,   -3,   -3,   -2,   -2,   -2,   -2,   -2,   -2, 
  -1,   -1,   -1,   -1,   -1,    0,    0,    0,    0,    0, 
   1,    1,    1,    1,    1,    2,    2,    2,    2,    2, 
   2,    3,    3,    3,    3,    3,    3,    4,    4,    4, 
   4,    4,    5,    5,    5,    5,    5,    5,    6,    6, 
   6,    6,    6,    6,    7,    7,    7,    7,    7,    8, 
   8,    8,    8,    8,    8,    9,    9,    9,    9,    9, 
   9,   10,   10,   10,   10,   10,   11,   11,   11,   11, 
  11,   11,   12,   12,   12,   12,   12,   12,   13,   13, 
  13,   13,   13,   14,   14,   14,   14,   14,   14,   15, 
  15,   15,   15,   15,   15,   16,   16,   16,   16,   16, 
  17,   17,   17,   17,   17,   17,   18,   18,   18,   18, 
  18,   18,   19,   19,   19,   19,   19,   20,   20,   20, 
  20,   20,   20,   21,   21,   21,   21,   21,   21,   22, 
  22,   22,   22,   22,   23, },
{
 -45,  -45,  -44,  -44,  -44,  -43,  -43,  -43,  -42,  -42, 
 -41,  -41,  -41,  -40,  -40,  -40,  -39,  -39,  -39,  -38, 
 -38,  -38,  -37,  -37,  -37,  -36,  -36,  -35,  -35,  -35, 
 -34,  -34,  -34,  -33,  -33,  -33,  -32,  -32,  -32,  -31, 
 -31,  -30,  -30,  -30,  -29,  -29,  -29,  -28,  -28,  -28, 
 -27,  -27,  -27,  -26,  -26,  -26,  -25,  -25,  -24,  -24, 
 -24,  -23,  -23,  -23,  -22,  -22,  -22,  -21,  -21,  -21, 
 -20,  -20,  -20,  -19,  -19,  -18,  -18,  -18,  -17,  -17, 
 -17,  -16,  -16,  -16,  -15,  -15,  -15,  -14,  -14,  -14, 
 -13,  -13,  -12,  -12,  -12,  -11,  -11,  -11,  -10,  -10, 
 -10,   -9,   -9,   -9,   -8,   -8,   -8,   -7,   -7,   -6, 
  -6,   -6,   -5,   -5,   -5,   -4,   -4,   -4,   -3,   -3, 
  -3,   -2,   -2,   -2,   -1,   -1,    0,    0,    0,    1, 
   1,    2,    2,    2,    3,    3,    3,    4,    4,    4, 
   5,    5,    5,    6,    6,    6,    7,    7,    8,    8, 
   8,    9,    9,    9,   10,   10,   10,   11,   11,   11, 
  12,   12,   12,   13,   13,   14,   14,   14,   15,   15, 
  15,   16,   16,   16,   17,   17,   17,   18,   18,   18, 
  19,   19,   20,   20,   20,   21,   21,   21,   22,   22, 
  22,   23,   23,   23,   24,   24,   24,   25,   25,   26, 
  26,   26,   27,   27,   27,   28,   28,   28,   29,   29, 
  29,   30,   30,   30,   31,   31,   32,   32,   32,   33, 
  33,   33,   34,   34,   34,   35,   35,   35,   36,   36, 
  37,   37,   37,   38,   38,   38,   39,   39,   39,   40, 
  40,   40,   41,   41,   41,   42,   42,   43,   43,   43, 
  44,   44,   44,   45,   45, },
{
 -68,  -67,  -67,  -66,  -65,  -65,  -64,  -64,  -63,  -63, 
 -62,  -62,  -61,  -61,  -60,  -60,  -59,  -59,  -58,  -58, 
 -57,  -56,  -56,  -55,  -55,  -54,  -54,  -53,  -53,  -52, 
 -52,  -51,  -51,  -50,  -50,  -49,  -49,  -48,  -47,  -47, 
 -46,  -46,  -45,  -45,  -44,  -44,  -43,  -43,  -42,  -42, 
 -41,  -41,  -40,  -40,  -39,  -38,  -38,  -37,  -37,  -36, 
 -36,  -35,  -35,  -34,  -34,  -33,  -33,  -32,  -32,  -31, 
 -30,  -30,  -29,  -29,  -28,  -28,  -27,  -27,  -26,  -26, 
 -25,  -25,  -24,  -24,  -23,  -23,  -22,  -21,  -21,  -20, 
 -20,  -19,  -19,  -18,  -18,  -17,  -17,  -16,  -16,  -15, 
 -15,  -14,  -14,  -13,  -12,  -12,  -11,  -11,  -10,  -10, 
  -9,   -9,   -8,   -8,   -7,   -7,   -6,   -6,   -5,   -5, 
  -4,   -3,   -3,   -2,   -2,   -1,   -1,    0,    1,    1, 
   2,    2,    3,    3,    4,    5,    5,    6,    6,    7, 
   7,    8,    8,    9,    9,   10,   10,   11,   11,   12, 
  12,   13,   14,   14,   15,   15,   16,   16,   17,   17, 
  18,   18,   19,   19,   20,   20,   21,   21,   22,   23, 
  23,   24,   24,   25,   25,   26,   26,   27,   27,   28, 
  28,   29,   29,   30,   30,   31,   32,   32,   33,   33, 
  34,   34,   35,   35,   36,   36,   37,   37,   38,   38, 
  39,   40,   40,   41,   41,   42,   42,   43,   43,   44, 
  44,   45,   45,   46,   46,   47,   47,   48,   49,   49, 
  50,   50,   51,   51,   52,   52,   53,   53,   54,   54, 
  55,   55,   56,   56,   57,   58,   58,   59,   59,   60, 
  60,   61,   61,   62,   62,   63,   63,   64,   64,   65, 
  65,   66,   67,   67,   68, },
{
 -90,  -89,  -89,  -88,  -87,  -87,  -86,  -85,  -84,  -84, 
 -83,  -82,  -82,  -81,  -80,  -79,  -79,  -78,  -77,  -77, 
 -76,  -75,  -75,  -74,  -73,  -72,  -72,  -71,  -70,  -70, 
 -69,  -68,  -67,  -67,  -66,  -65,  -65,  -64,  -63,  -62, 
 -62,  -61,  -60,  -60,  -59,  -58,  -58,  -57,  -56,  -55, 
 -55,  -54,  -53,  -53,  -52,  -51,  -50,  -50,  -49,  -48, 
 -48,  -47,  -46,  -46,  -45,  -44,  -43,  -43,  -42,  -41, 
 -41,  -40,  -39,  -38,  -38,  -37,  -36,  -36,  -35,  -34, 
 -33,  -33,  -32,  -31,  -31,  -30,  -29,  -29,  -28,  -27, 
 -26,  -26,  -25,  -24,  -24,  -23,  -22,  -21,  -21,  -20, 
 -19,  -19,  -18,  -17,  -17,  -16,  -15,  -14,  -14,  -13, 
 -12,  -12,  -11,  -10,   -9,   -9,   -8,   -7,   -7,   -6, 
  -5,   -5,   -4,   -3,   -2,   -2,   -1,    0,    1,    2, 
   2,    3,    4,    5,    5,    6,    7,    7,    8,    9, 
   9,   10,   11,   12,   12,   13,   14,   14,   15,   16, 
  17,   17,   18,   19,   19,   20,   21,   21,   22,   23, 
  24,   24,   25,   26,   26,   27,   28,   29,   29,   30, 
  31,   31,   32,   33,   33,   34,   35,   36,   36,   37, 
  38,   38,   39,   40,   41,   41,   42,   43,   43,   44, 
  45,   46,   46,   47,   48,   48,   49,   50,   50,   51, 
  52,   53,   53,   54,   55,   55,   56,   57,   58,   58, 
  59,   60,   60,   61,   62,   62,   63,   64,   65,   65, 
  66,   67,   67,   68,   69,   70,   70,   71,   72,   72, 
  73,   74,   75,   75,   76,   77,   77,   78,   79,   79, 
  80,   81,   82,   82,   83,   84,   84,   85,   86,   87, 
  87,   88,   89,   89,   90, },
{
-113, -112, -111, -110, -109, -108, -107, -107, -106, -105, 
-104, -103, -102, -101, -100,  -99,  -99,  -98,  -97,  -96, 
 -95,  -94,  -93,  -92,  -91,  -91,  -90,  -89,  -88,  -87, 
 -86,  -85,  -84,  -84,  -83,  -82,  -81,  -80,  -79,  -78, 
 -77,  -76,  -76,  -75,  -74,  -73,  -72,  -71,  -70,  -69, 
 -69,  -68,  -67,  -66,  -65,  -64,  -63,  -62,  -61,  -61, 
 -60,  -59,  -58,  -57,  -56,  -55,  -54,  -53,  -53,  -52, 
 -51,  -50,  -49,  -48,  -47,  -46,  -46,  -45,  -44,  -43, 
 -42,  -41,  -40,  -39,  -38,  -38,  -37,  -36,  -35,  -34, 
 -33,  -32,  -31,  -30,  -30,  -29,  -28,  -27,  -26,  -25, 
 -24,  -23,  -23,  -22,  -21,  -20,  -19,  -18,  -17,  -16, 
 -15,  -15,  -14,  -13,  -12,  -11,  -10,   -9,   -8,   -8, 
  -7,   -6,   -5,   -4,   -3,   -2,   -1,    0,    1,    2, 
   3,    4,    5,    6,    7,    8,    8,    9,   10,   11, 
  12,   13,   14,   15,   15,   16,   17,   18,   19,   20, 
  21,   22,   23,   23,   24,   25,   26,   27,   28,   29, 
  30,   30,   31,   32,   33,   34,   35,   36,   37,   38, 
  38,   39,   40,   41,   42,   43,   44,   45,   46,   46, 
  47,   48,   49,   50,   51,   52,   53,   53,   54,   55, 
  56,   57,   58,   59,   60,   61,   61,   62,   63,   64, 
  65,   66,   67,   68,   69,   69,   70,   71,   72,   73, 
  74,   75,   76,   76,   77,   78,   79,   80,   81,   82, 
  83,   84,   84,   85,   86,   87,   88,   89,   90,   91, 
  91,   92,   93,   94,   95,   96,   97,   98,   99,   99, 
 100,  101,  102,  103,  104,  105,  106,  107,  107,  108, 
 109,  110,  111,  112,  113, },
{
-135, -134, -133, -132, -131, -130, -129, -128, -127, -126, 
-125, -123, -122, -121, -120, -119, -118, -117, -116, -115, 
-114, -113, -112, -111, -110, -109, -108, -107, -105, -104, 
-103, -102, -101, -100,  -99,  -98,  -97,  -96,  -95,  -94, 
 -93,  -92,  -91,  -90,  -88,  -87,  -86,  -85,  -84,  -83, 
 -82,  -81,  -80,  -79,  -78,  -77,  -76,  -75,  -74,  -73, 
 -72,  -70,  -69,  -68,  -67,  -66,  -65,  -64,  -63,  -62, 
 -61,  -60,  -59,  -58,  -57,  -56,  -55,  -53,  -52,  -51, 
 -50,  -49,  -48,  -47,  -46,  -45,  -44,  -43,  -42,  -41, 
 -40,  -39,  -38,  -37,  -35,  -34,  -33,  -32,  -31,  -30, 
 -29,  -28,  -27,  -26,  -25,  -24,  -23,  -22,  -21,  -20, 
 -18,  -17,  -16,  -15,  -14,  -13,  -12,  -11,  -10,   -9, 
  -8,   -7,   -6,   -5,   -4,   -3,   -2,    0,    2,    3, 
   4,    5,    6,    7,    8,    9,   10,   11,   12,   13, 
  14,   15,   16,   17,   18,   20,   21,   22,   23,   24, 
  25,   26,   27,   28,   29,   30,   31,   32,   33,   34, 
  35,   37,   38,   39,   40,   41,   42,   43,   44,   45, 
  46,   47,   48,   49,   50,   51,   52,   53,   55,   56, 
  57,   58,   59,   60,   61,   62,   63,   64,   65,   66, 
  67,   68,   69,   70,   72,   73,   74,   75,   76,   77, 
  78,   79,   80,   81,   82,   83,   84,   85,   86,   87, 
  88,   90,   91,   92,   93,   94,   95,   96,   97,   98, 
  99,  100,  101,  102,  103,  104,  105,  107,  108,  109, 
 110,  111,  112,  113,  114,  115,  116,  117,  118,  119, 
 120,  121,  122,  123,  125,  126,  127,  128,  129,  130, 
 131,  132,  133,  134,  135, },
{
-158, -157, -155, -154, -153, -152, -150, -149, -148, -147, 
-145, -144, -143, -142, -140, -139, -138, -137, -135, -134, 
-133, -132, -131, -129, -128, -127, -126, -124, -123, -122, 
-121, -119, -118, -117, -116, -114, -113, -112, -111, -110, 
-108, -107, -106, -105, -103, -102, -101, -100,  -98,  -97, 
 -96,  -95,  -93,  -92,  -91,  -90,  -88,  -87,  -86,  -85, 
 -84,  -82,  -81,  -80,  -79,  -77,  -76,  -75,  -74,  -72, 
 -71,  -70,  -69,  -67,  -66,  -65,  -64,  -62,  -61,  -60, 
 -59,  -58,  -56,  -55,  -54,  -53,  -51,  -50,  -49,  -48, 
 -46,  -45,  -44,  -43,  -41,  -40,  -39,  -38,  -37,  -35, 
 -34,  -33,  -32,  -30,  -29,  -28,  -27,  -25,  -24,  -23, 
 -22,  -20,  -19,  -18,  -17,  -15,  -14,  -13,  -12,  -11, 
  -9,   -8,   -7,   -6,   -4,   -3,   -2,    0,    2,    3, 
   4,    6,    7,    8,    9,   11,   12,   13,   14,   15, 
  17,   18,   19,   20,   22,   23,   24,   25,   27,   28, 
  29,   30,   32,   33,   34,   35,   37,   38,   39,   40, 
  41,   43,   44,   45,   46,   48,   49,   50,   51,   53, 
  54,   55,   56,   58,   59,   60,   61,   62,   64,   65, 
  66,   67,   69,   70,   71,   72,   74,   75,   76,   77, 
  79,   80,   81,   82,   84,   85,   86,   87,   88,   90, 
  91,   92,   93,   95,   96,   97,   98,  100,  101,  102, 
 103,  105,  106,  107,  108,  110,  111,  112,  113,  114, 
 116,  117,  118,  119,  121,  122,  123,  124,  126,  127, 
 128,  129,  131,  132,  133,  134,  135,  137,  138,  139, 
 140,  142,  143,  144,  145,  147,  148,  149,  150,  152, 
 153,  154,  155,  157,  158, },
{
-180, -179, -177, -176, -175, -173, -172, -170, -169, -167, 
-166, -165, -163, -162, -160, -159, -158, -156, -155, -153, 
-152, -151, -149, -148, -146, -145, -143, -142, -141, -139, 
-138, -136, -135, -134, -132, -131, -129, -128, -126, -125, 
-124, -122, -121, -119, -118, -117, -115, -114, -112, -111, 
-110, -108, -107, -105, -104, -102, -101, -100,  -98,  -97, 
 -95,  -94,  -93,  -91,  -90,  -88,  -87,  -85,  -84,  -83, 
 -81,  -80,  -78,  -77,  -76,  -74,  -73,  -71,  -70,  -69, 
 -67,  -66,  -64,  -63,  -61,  -60,  -59,  -57,  -56,  -54, 
 -53,  -52,  -50,  -49,  -47,  -46,  -44,  -43,  -42,  -40, 
 -39,  -37,  -36,  -35,  -33,  -32,  -30,  -29,  -27,  -26, 
 -25,  -23,  -22,  -20,  -19,  -18,  -16,  -15,  -13,  -12, 
 -11,   -9,   -8,   -6,   -5,   -3,   -2,    0,    2,    3, 
   5,    6,    8,    9,   11,   12,   13,   15,   16,   18, 
  19,   20,   22,   23,   25,   26,   27,   29,   30,   32, 
  33,   35,   36,   37,   39,   40,   42,   43,   44,   46, 
  47,   49,   50,   52,   53,   54,   56,   57,   59,   60, 
  61,   63,   64,   66,   67,   69,   70,   71,   73,   74, 
  76,   77,   78,   80,   81,   83,   84,   85,   87,   88, 
  90,   91,   93,   94,   95,   97,   98,  100,  101,  102, 
 104,  105,  107,  108,  110,  111,  112,  114,  115,  117, 
 118,  119,  121,  122,  124,  125,  126,  128,  129,  131, 
 132,  134,  135,  136,  138,  139,  141,  142,  143,  145, 
 146,  148,  149,  151,  152,  153,  155,  156,  158,  159, 
 160,  162,  163,  165,  166,  167,  169,  170,  172,  173, 
 175,  176,  177,  179,  180, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -179, -177, -176, -174, -173, 
-171, -169, -168, -166, -165, -163, -161, -160, -158, -157, 
-155, -154, -152, -150, -149, -147, -146, -144, -142, -141, 
-139, -138, -136, -134, -133, -131, -130, -128, -126, -125, 
-123, -122, -120, -119, -117, -115, -114, -112, -111, -109, 
-107, -106, -104, -103, -101,  -99,  -98,  -96,  -95,  -93, 
 -91,  -90,  -88,  -87,  -85,  -84,  -82,  -80,  -79,  -77, 
 -76,  -74,  -72,  -71,  -69,  -68,  -66,  -64,  -63,  -61, 
 -60,  -58,  -56,  -55,  -53,  -52,  -50,  -49,  -47,  -45, 
 -44,  -42,  -41,  -39,  -37,  -36,  -34,  -33,  -31,  -29, 
 -28,  -26,  -25,  -23,  -21,  -20,  -18,  -17,  -15,  -14, 
 -12,  -10,   -9,   -7,   -6,   -4,   -2,    0,    2,    4, 
   6,    7,    9,   10,   12,   14,   15,   17,   18,   20, 
  21,   23,   25,   26,   28,   29,   31,   33,   34,   36, 
  37,   39,   41,   42,   44,   45,   47,   49,   50,   52, 
  53,   55,   56,   58,   60,   61,   63,   64,   66,   68, 
  69,   71,   72,   74,   76,   77,   79,   80,   82,   84, 
  85,   87,   88,   90,   91,   93,   95,   96,   98,   99, 
 101,  103,  104,  106,  107,  109,  111,  112,  114,  115, 
 117,  119,  120,  122,  123,  125,  126,  128,  130,  131, 
 133,  134,  136,  138,  139,  141,  142,  144,  146,  147, 
 149,  150,  152,  154,  155,  157,  158,  160,  161,  163, 
 165,  166,  168,  169,  171,  173,  174,  176,  177,  179, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -179, -178, -176, -174, 
-172, -171, -169, -167, -165, -163, -162, -160, -158, -156, 
-155, -153, -151, -149, -148, -146, -144, -142, -140, -139, 
-137, -135, -133, -132, -130, -128, -126, -125, -123, -121, 
-119, -117, -116, -114, -112, -110, -109, -107, -105, -103, 
-102, -100,  -98,  -96,  -94,  -93,  -91,  -89,  -87,  -86, 
 -84,  -82,  -80,  -79,  -77,  -75,  -73,  -72,  -70,  -68, 
 -66,  -64,  -63,  -61,  -59,  -57,  -56,  -54,  -52,  -50, 
 -49,  -47,  -45,  -43,  -41,  -40,  -38,  -36,  -34,  -33, 
 -31,  -29,  -27,  -26,  -24,  -22,  -20,  -18,  -17,  -15, 
 -13,  -11,  -10,   -8,   -6,   -4,   -3,    0,    3,    4, 
   6,    8,   10,   11,   13,   15,   17,   18,   20,   22, 
  24,   26,   27,   29,   31,   33,   34,   36,   38,   40, 
  41,   43,   45,   47,   49,   50,   52,   54,   56,   57, 
  59,   61,   63,   64,   66,   68,   70,   72,   73,   75, 
  77,   79,   80,   82,   84,   86,   87,   89,   91,   93, 
  94,   96,   98,  100,  102,  103,  105,  107,  109,  110, 
 112,  114,  116,  117,  119,  121,  123,  125,  126,  128, 
 130,  132,  133,  135,  137,  139,  140,  142,  144,  146, 
 148,  149,  151,  153,  155,  156,  158,  160,  162,  163, 
 165,  167,  169,  171,  172,  174,  176,  178,  179,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -180, -178, -176, -174, -172, 
-170, -168, -166, -164, -162, -160, -158, -157, -155, -153, 
-151, -149, -147, -145, -143, -141, -139, -137, -135, -133, 
-131, -129, -127, -125, -123, -122, -120, -118, -116, -114, 
-112, -110, -108, -106, -104, -102, -100,  -98,  -96,  -94, 
 -92,  -90,  -88,  -87,  -85,  -83,  -81,  -79,  -77,  -75, 
 -73,  -71,  -69,  -67,  -65,  -63,  -61,  -59,  -57,  -55, 
 -53,  -52,  -50,  -48,  -46,  -44,  -42,  -40,  -38,  -36, 
 -34,  -32,  -30,  -28,  -26,  -24,  -22,  -20,  -18,  -17, 
 -15,  -13,  -11,   -9,   -7,   -5,   -3,    0,    3,    5, 
   7,    9,   11,   13,   15,   17,   18,   20,   22,   24, 
  26,   28,   30,   32,   34,   36,   38,   40,   42,   44, 
  46,   48,   50,   52,   53,   55,   57,   59,   61,   63, 
  65,   67,   69,   71,   73,   75,   77,   79,   81,   83, 
  85,   87,   88,   90,   92,   94,   96,   98,  100,  102, 
 104,  106,  108,  110,  112,  114,  116,  118,  120,  122, 
 123,  125,  127,  129,  131,  133,  135,  137,  139,  141, 
 143,  145,  147,  149,  151,  153,  155,  157,  158,  160, 
 162,  164,  166,  168,  170,  172,  174,  176,  178,  180, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -179, -177, -175, -173, -171, -169, -166, 
-164, -162, -160, -158, -156, -154, -152, -149, -147, -145, 
-143, -141, -139, -137, -135, -132, -130, -128, -126, -124, 
-122, -120, -118, -116, -113, -111, -109, -107, -105, -103, 
-101,  -99,  -96,  -94,  -92,  -90,  -88,  -86,  -84,  -82, 
 -79,  -77,  -75,  -73,  -71,  -69,  -67,  -65,  -62,  -60, 
 -58,  -56,  -54,  -52,  -50,  -48,  -46,  -43,  -41,  -39, 
 -37,  -35,  -33,  -31,  -29,  -26,  -24,  -22,  -20,  -18, 
 -16,  -14,  -12,   -9,   -7,   -5,   -3,    0,    3,    5, 
   7,    9,   12,   14,   16,   18,   20,   22,   24,   26, 
  29,   31,   33,   35,   37,   39,   41,   43,   46,   48, 
  50,   52,   54,   56,   58,   60,   62,   65,   67,   69, 
  71,   73,   75,   77,   79,   82,   84,   86,   88,   90, 
  92,   94,   96,   99,  101,  103,  105,  107,  109,  111, 
 113,  116,  118,  120,  122,  124,  126,  128,  130,  132, 
 135,  137,  139,  141,  143,  145,  147,  149,  152,  154, 
 156,  158,  160,  162,  164,  166,  169,  171,  173,  175, 
 177,  179,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -180, 
-178, -176, -174, -171, -169, -167, -164, -162, -160, -157, 
-155, -153, -151, -148, -146, -144, -141, -139, -137, -134, 
-132, -130, -128, -125, -123, -121, -118, -116, -114, -111, 
-109, -107, -105, -102, -100,  -98,  -95,  -93,  -91,  -88, 
 -86,  -84,  -82,  -79,  -77,  -75,  -72,  -70,  -68,  -65, 
 -63,  -61,  -59,  -56,  -54,  -52,  -49,  -47,  -45,  -43, 
 -40,  -38,  -36,  -33,  -31,  -29,  -26,  -24,  -22,  -20, 
 -17,  -15,  -13,  -10,   -8,   -6,   -3,    0,    3,    6, 
   8,   10,   13,   15,   17,   20,   22,   24,   26,   29, 
  31,   33,   36,   38,   40,   43,   45,   47,   49,   52, 
  54,   56,   59,   61,   63,   65,   68,   70,   72,   75, 
  77,   79,   82,   84,   86,   88,   91,   93,   95,   98, 
 100,  102,  105,  107,  109,  111,  114,  116,  118,  121, 
 123,  125,  128,  130,  132,  134,  137,  139,  141,  144, 
 146,  148,  151,  153,  155,  157,  160,  162,  164,  167, 
 169,  171,  174,  176,  178,  180,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -179, -177, -174, -172, -169, 
-167, -164, -162, -160, -157, -155, -152, -150, -147, -145, 
-142, -140, -137, -135, -132, -130, -127, -125, -122, -120, 
-117, -115, -113, -110, -108, -105, -103, -100,  -98,  -95, 
 -93,  -90,  -88,  -85,  -83,  -80,  -78,  -75,  -73,  -70, 
 -68,  -65,  -63,  -61,  -58,  -56,  -53,  -51,  -48,  -46, 
 -43,  -41,  -38,  -36,  -33,  -31,  -28,  -26,  -23,  -21, 
 -18,  -16,  -14,  -11,   -9,   -6,   -4,    0,    4,    6, 
   9,   11,   14,   16,   18,   21,   23,   26,   28,   31, 
  33,   36,   38,   41,   43,   46,   48,   51,   53,   56, 
  58,   61,   63,   65,   68,   70,   73,   75,   78,   80, 
  83,   85,   88,   90,   93,   95,   98,  100,  103,  105, 
 108,  110,  113,  115,  117,  120,  122,  125,  127,  130, 
 132,  135,  137,  140,  142,  145,  147,  150,  152,  155, 
 157,  160,  162,  164,  167,  169,  172,  174,  177,  179, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-179, -176, -174, -171, -168, -166, -163, -160, -158, -155, 
-152, -150, -147, -145, -142, -139, -137, -134, -131, -129, 
-126, -123, -121, -118, -115, -113, -110, -107, -105, -102, 
 -99,  -97,  -94,  -91,  -89,  -86,  -84,  -81,  -78,  -76, 
 -73,  -70,  -68,  -65,  -62,  -60,  -57,  -54,  -52,  -49, 
 -46,  -44,  -41,  -38,  -36,  -33,  -30,  -28,  -25,  -23, 
 -20,  -17,  -15,  -12,   -9,   -7,   -4,    0,    4,    7, 
   9,   12,   15,   17,   20,   23,   25,   28,   30,   33, 
  36,   38,   41,   44,   46,   49,   52,   54,   57,   60, 
  62,   65,   68,   70,   73,   76,   78,   81,   84,   86, 
  89,   91,   94,   97,   99,  102,  105,  107,  110,  113, 
 115,  118,  121,  123,  126,  129,  131,  134,  137,  139, 
 142,  145,  147,  150,  152,  155,  158,  160,  163,  166, 
 168,  171,  174,  176,  179,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -180, -177, -174, -171, -168, -165, 
-163, -160, -157, -154, -151, -148, -146, -143, -140, -137, 
-134, -131, -129, -126, -123, -120, -117, -114, -112, -109, 
-106, -103, -100,  -97,  -95,  -92,  -89,  -86,  -83,  -81, 
 -78,  -75,  -72,  -69,  -66,  -64,  -61,  -58,  -55,  -52, 
 -49,  -47,  -44,  -41,  -38,  -35,  -32,  -30,  -27,  -24, 
 -21,  -18,  -15,  -13,  -10,   -7,   -4,    0,    4,    7, 
  10,   13,   15,   18,   21,   24,   27,   30,   32,   35, 
  38,   41,   44,   47,   49,   52,   55,   58,   61,   64, 
  66,   69,   72,   75,   78,   81,   83,   86,   89,   92, 
  95,   97,  100,  103,  106,  109,  112,  114,  117,  120, 
 123,  126,  129,  131,  134,  137,  140,  143,  146,  148, 
 151,  154,  157,  160,  163,  165,  168,  171,  174,  177, 
 180,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -179, -176, 
-173, -170, -167, -164, -161, -158, -155, -152, -149, -146, 
-143, -140, -137, -134, -131, -128, -125, -122, -119, -116, 
-113, -110, -107, -104, -101,  -98,  -95,  -92,  -89,  -86, 
 -83,  -80,  -77,  -74,  -71,  -68,  -65,  -62,  -59,  -56, 
 -53,  -50,  -47,  -44,  -41,  -38,  -35,  -32,  -29,  -26, 
 -23,  -20,  -17,  -14,  -11,   -8,   -5,    0,    5,    8, 
  11,   14,   17,   20,   23,   26,   29,   32,   35,   38, 
  41,   44,   47,   50,   53,   56,   59,   62,   65,   68, 
  71,   74,   77,   80,   83,   86,   89,   92,   95,   98, 
 101,  104,  107,  110,  113,  116,  119,  122,  125,  128, 
 131,  134,  137,  140,  143,  146,  149,  152,  155,  158, 
 161,  164,  167,  170,  173,  176,  179,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -180, -177, -173, -170, -167, -164, -161, -157, -154, 
-151, -148, -145, -142, -138, -135, -132, -129, -126, -122, 
-119, -116, -113, -110, -107, -103, -100,  -97,  -94,  -91, 
 -87,  -84,  -81,  -78,  -75,  -72,  -68,  -65,  -62,  -59, 
 -56,  -52,  -49,  -46,  -43,  -40,  -37,  -33,  -30,  -27, 
 -24,  -21,  -17,  -14,  -11,   -8,   -5,    0,    5,    8, 
  11,   14,   17,   21,   24,   27,   30,   33,   37,   40, 
  43,   46,   49,   52,   56,   59,   62,   65,   68,   72, 
  75,   78,   81,   84,   87,   91,   94,   97,  100,  103, 
 107,  110,  113,  116,  119,  122,  126,  129,  132,  135, 
 138,  142,  145,  148,  151,  154,  157,  161,  164,  167, 
 170,  173,  177,  180,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -180, -176, -173, -170, -166, -163, 
-160, -156, -153, -149, -146, -143, -139, -136, -133, -129, 
-126, -123, -119, -116, -113, -109, -106, -102,  -99,  -96, 
 -92,  -89,  -86,  -82,  -79,  -76,  -72,  -69,  -65,  -62, 
 -59,  -55,  -52,  -49,  -45,  -42,  -39,  -35,  -32,  -29, 
 -25,  -22,  -18,  -15,  -12,   -8,   -5,    0,    5,    8, 
  12,   15,   18,   22,   25,   29,   32,   35,   39,   42, 
  45,   49,   52,   55,   59,   62,   65,   69,   72,   76, 
  79,   82,   86,   89,   92,   96,   99,  102,  106,  109, 
 113,  116,  119,  123,  126,  129,  133,  136,  139,  143, 
 146,  149,  153,  156,  160,  163,  166,  170,  173,  176, 
 180,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -178, -175, -171, 
-168, -164, -161, -157, -154, -150, -147, -143, -140, -136, 
-132, -129, -125, -122, -118, -115, -111, -108, -104, -101, 
 -97,  -94,  -90,  -87,  -83,  -79,  -76,  -72,  -69,  -65, 
 -62,  -58,  -55,  -51,  -48,  -44,  -41,  -37,  -33,  -30, 
 -26,  -23,  -19,  -16,  -12,   -9,   -5,    0,    5,    9, 
  12,   16,   19,   23,   26,   30,   33,   37,   41,   44, 
  48,   51,   55,   58,   62,   65,   69,   72,   76,   79, 
  83,   87,   90,   94,   97,  101,  104,  108,  111,  115, 
 118,  122,  125,  129,  132,  136,  140,  143,  147,  150, 
 154,  157,  161,  164,  168,  171,  175,  178,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -180, 
-176, -173, -169, -165, -161, -158, -154, -150, -147, -143, 
-139, -135, -132, -128, -124, -121, -117, -113, -110, -106, 
-102,  -98,  -95,  -91,  -87,  -84,  -80,  -76,  -72,  -69, 
 -65,  -61,  -58,  -54,  -50,  -46,  -43,  -39,  -35,  -32, 
 -28,  -24,  -20,  -17,  -13,   -9,   -6,    0,    6,    9, 
  13,   17,   20,   24,   28,   32,   35,   39,   43,   46, 
  50,   54,   58,   61,   65,   69,   72,   76,   80,   84, 
  87,   91,   95,   98,  102,  106,  110,  113,  117,  121, 
 124,  128,  132,  135,  139,  143,  147,  150,  154,  158, 
 161,  165,  169,  173,  176,  180,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -177, -173, -169, -165, -161, -157, -154, -150, 
-146, -142, -138, -134, -130, -126, -122, -119, -115, -111, 
-107, -103,  -99,  -95,  -91,  -87,  -84,  -80,  -76,  -72, 
 -68,  -64,  -60,  -56,  -52,  -49,  -45,  -41,  -37,  -33, 
 -29,  -25,  -21,  -17,  -14,  -10,   -6,    0,    6,   10, 
  14,   17,   21,   25,   29,   33,   37,   41,   45,   49, 
  52,   56,   60,   64,   68,   72,   76,   80,   84,   87, 
  91,   95,   99,  103,  107,  111,  115,  119,  122,  126, 
 130,  134,  138,  142,  146,  150,  154,  157,  161,  165, 
 169,  173,  177,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -177, -173, -169, -165, -161, -157, 
-152, -148, -144, -140, -136, -132, -128, -124, -120, -116, 
-112, -108, -104, -100,  -96,  -91,  -87,  -83,  -79,  -75, 
 -71,  -67,  -63,  -59,  -55,  -51,  -47,  -43,  -39,  -35, 
 -30,  -26,  -22,  -18,  -14,  -10,   -6,    0,    6,   10, 
  14,   18,   22,   26,   30,   35,   39,   43,   47,   51, 
  55,   59,   63,   67,   71,   75,   79,   83,   87,   91, 
  96,  100,  104,  108,  112,  116,  120,  124,  128,  132, 
 136,  140,  144,  148,  152,  157,  161,  165,  169,  173, 
 177,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -180, -176, -172, -167, -163, 
-159, -155, -151, -146, -142, -138, -134, -129, -125, -121, 
-117, -112, -108, -104, -100,  -95,  -91,  -87,  -83,  -78, 
 -74,  -70,  -66,  -61,  -57,  -53,  -49,  -44,  -40,  -36, 
 -32,  -27,  -23,  -19,  -15,  -11,   -6,    0,    6,   11, 
  15,   19,   23,   27,   32,   36,   40,   44,   49,   53, 
  57,   61,   66,   70,   74,   78,   83,   87,   91,   95, 
 100,  104,  108,  112,  117,  121,  125,  129,  134,  138, 
 142,  146,  151,  155,  159,  163,  167,  172,  176,  180, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -179, -175, -170, 
-166, -161, -157, -152, -148, -144, -139, -135, -130, -126, 
-122, -117, -113, -108, -104,  -99,  -95,  -91,  -86,  -82, 
 -77,  -73,  -69,  -64,  -60,  -55,  -51,  -46,  -42,  -38, 
 -33,  -29,  -24,  -20,  -15,  -11,   -7,    0,    7,   11, 
  15,   20,   24,   29,   33,   38,   42,   46,   51,   55, 
  60,   64,   69,   73,   77,   82,   86,   91,   95,   99, 
 104,  108,  113,  117,  122,  126,  130,  135,  139,  144, 
 148,  152,  157,  161,  166,  170,  175,  179,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -177, 
-172, -168, -163, -158, -154, -149, -145, -140, -135, -131, 
-126, -122, -117, -113, -108, -103,  -99,  -94,  -90,  -85, 
 -80,  -76,  -71,  -67,  -62,  -57,  -53,  -48,  -44,  -39, 
 -34,  -30,  -25,  -21,  -16,  -11,   -7,    0,    7,   11, 
  16,   21,   25,   30,   34,   39,   44,   48,   53,   57, 
  62,   67,   71,   76,   80,   85,   90,   94,   99,  103, 
 108,  113,  117,  122,  126,  131,  135,  140,  145,  149, 
 154,  158,  163,  168,  172,  177,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-179, -174, -169, -165, -160, -155, -150, -146, -141, -136, 
-131, -126, -122, -117, -112, -107, -103,  -98,  -93,  -88, 
 -84,  -79,  -74,  -69,  -64,  -60,  -55,  -50,  -45,  -41, 
 -36,  -31,  -26,  -21,  -17,  -12,   -7,    0,    7,   12, 
  17,   21,   26,   31,   36,   41,   45,   50,   55,   60, 
  64,   69,   74,   79,   84,   88,   93,   98,  103,  107, 
 112,  117,  122,  126,  131,  136,  141,  146,  150,  155, 
 160,  165,  169,  174,  179,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -176, -171, -166, -161, -156, -151, -146, -141, 
-136, -131, -126, -121, -116, -111, -106, -101,  -96,  -91, 
 -87,  -82,  -77,  -72,  -67,  -62,  -57,  -52,  -47,  -42, 
 -37,  -32,  -27,  -22,  -17,  -12,   -7,    0,    7,   12, 
  17,   22,   27,   32,   37,   42,   47,   52,   57,   62, 
  67,   72,   77,   82,   87,   91,   96,  101,  106,  111, 
 116,  121,  126,  131,  136,  141,  146,  151,  156,  161, 
 166,  171,  176,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -177, -172, -167, -161, -156, -151, -146, 
-141, -136, -131, -126, -120, -115, -110, -105, -100,  -95, 
 -90,  -85,  -79,  -74,  -69,  -64,  -59,  -54,  -49,  -44, 
 -38,  -33,  -28,  -23,  -18,  -13,   -8,    0,    8,   13, 
  18,   23,   28,   33,   38,   44,   49,   54,   59,   64, 
  69,   74,   79,   85,   90,   95,  100,  105,  110,  115, 
 120,  126,  131,  136,  141,  146,  151,  156,  161,  167, 
 172,  177,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -178, -172, -167, -162, -156, -151, 
-146, -140, -135, -130, -125, -119, -114, -109, -103,  -98, 
 -93,  -87,  -82,  -77,  -72,  -66,  -61,  -56,  -50,  -45, 
 -40,  -34,  -29,  -24,  -18,  -13,   -8,    0,    8,   13, 
  18,   24,   29,   34,   40,   45,   50,   56,   61,   66, 
  72,   77,   82,   87,   93,   98,  103,  109,  114,  119, 
 125,  130,  135,  140,  146,  151,  156,  162,  167,  172, 
 178,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -178, -173, -167, -162, -156, 
-151, -145, -140, -134, -129, -123, -118, -112, -107, -101, 
 -96,  -90,  -85,  -79,  -74,  -69,  -63,  -58,  -52,  -47, 
 -41,  -36,  -30,  -25,  -19,  -14,   -8,    0,    8,   14, 
  19,   25,   30,   36,   41,   47,   52,   58,   63,   69, 
  74,   79,   85,   90,   96,  101,  107,  112,  118,  123, 
 129,  134,  140,  145,  151,  156,  162,  167,  173,  178, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
};



static int tab_rec2[31][255] = {
{
 -16,  -16,  -16,  -16,  -15,  -15,  -15,  -15,  -15,  -15, 
 -15,  -15,  -14,  -14,  -14,  -14,  -14,  -14,  -14,  -14, 
 -13,  -13,  -13,  -13,  -13,  -13,  -13,  -13,  -12,  -12, 
 -12,  -12,  -12,  -12,  -12,  -12,  -11,  -11,  -11,  -11, 
 -11,  -11,  -11,  -11,  -10,  -10,  -10,  -10,  -10,  -10, 
 -10,  -10,   -9,   -9,   -9,   -9,   -9,   -9,   -9,   -9, 
  -8,   -8,   -8,   -8,   -8,   -8,   -8,   -8,   -7,   -7, 
  -7,   -7,   -7,   -7,   -7,   -7,   -6,   -6,   -6,   -6, 
  -6,   -6,   -6,   -6,   -5,   -5,   -5,   -5,   -5,   -5, 
  -5,   -5,   -4,   -4,   -4,   -4,   -4,   -4,   -4,   -4, 
  -3,   -3,   -3,   -3,   -3,   -3,   -3,   -3,   -2,   -2, 
  -2,   -2,   -2,   -2,   -2,   -2,   -1,   -1,   -1,   -1, 
  -1,   -1,   -1,   -1,    0,    0,    0,    0,    0,    0, 
   0,    1,    1,    1,    1,    1,    1,    1,    1,    2, 
   2,    2,    2,    2,    2,    2,    2,    3,    3,    3, 
   3,    3,    3,    3,    3,    4,    4,    4,    4,    4, 
   4,    4,    4,    5,    5,    5,    5,    5,    5,    5, 
   5,    6,    6,    6,    6,    6,    6,    6,    6,    7, 
   7,    7,    7,    7,    7,    7,    7,    8,    8,    8, 
   8,    8,    8,    8,    8,    9,    9,    9,    9,    9, 
   9,    9,    9,   10,   10,   10,   10,   10,   10,   10, 
  10,   11,   11,   11,   11,   11,   11,   11,   11,   12, 
  12,   12,   12,   12,   12,   12,   12,   13,   13,   13, 
  13,   13,   13,   13,   13,   14,   14,   14,   14,   14, 
  14,   14,   14,   15,   15,   15,   15,   15,   15,   15, 
  15,   16,   16,   16,   16, },
{
 -32,  -32,  -31,  -31,  -31,  -31,  -30,  -30,  -30,  -30, 
 -29,  -29,  -29,  -29,  -28,  -28,  -28,  -28,  -27,  -27, 
 -27,  -27,  -26,  -26,  -26,  -26,  -25,  -25,  -25,  -25, 
 -24,  -24,  -24,  -24,  -23,  -23,  -23,  -23,  -22,  -22, 
 -22,  -22,  -21,  -21,  -21,  -21,  -20,  -20,  -20,  -20, 
 -19,  -19,  -19,  -19,  -18,  -18,  -18,  -18,  -17,  -17, 
 -17,  -17,  -16,  -16,  -16,  -16,  -15,  -15,  -15,  -15, 
 -14,  -14,  -14,  -14,  -13,  -13,  -13,  -13,  -12,  -12, 
 -12,  -12,  -11,  -11,  -11,  -11,  -10,  -10,  -10,  -10, 
  -9,   -9,   -9,   -9,   -8,   -8,   -8,   -8,   -7,   -7, 
  -7,   -7,   -6,   -6,   -6,   -6,   -5,   -5,   -5,   -5, 
  -4,   -4,   -4,   -4,   -3,   -3,   -3,   -3,   -2,   -2, 
  -2,   -2,   -1,   -1,   -1,   -1,    0,    0,    0,    1, 
   1,    1,    1,    2,    2,    2,    2,    3,    3,    3, 
   3,    4,    4,    4,    4,    5,    5,    5,    5,    6, 
   6,    6,    6,    7,    7,    7,    7,    8,    8,    8, 
   8,    9,    9,    9,    9,   10,   10,   10,   10,   11, 
  11,   11,   11,   12,   12,   12,   12,   13,   13,   13, 
  13,   14,   14,   14,   14,   15,   15,   15,   15,   16, 
  16,   16,   16,   17,   17,   17,   17,   18,   18,   18, 
  18,   19,   19,   19,   19,   20,   20,   20,   20,   21, 
  21,   21,   21,   22,   22,   22,   22,   23,   23,   23, 
  23,   24,   24,   24,   24,   25,   25,   25,   25,   26, 
  26,   26,   26,   27,   27,   27,   27,   28,   28,   28, 
  28,   29,   29,   29,   29,   30,   30,   30,   30,   31, 
  31,   31,   31,   32,   32, },
{
 -48,  -47,  -47,  -47,  -46,  -46,  -46,  -45,  -45,  -44, 
 -44,  -44,  -43,  -43,  -43,  -42,  -42,  -41,  -41,  -41, 
 -40,  -40,  -40,  -39,  -39,  -38,  -38,  -38,  -37,  -37, 
 -37,  -36,  -36,  -35,  -35,  -35,  -34,  -34,  -34,  -33, 
 -33,  -32,  -32,  -32,  -31,  -31,  -31,  -30,  -30,  -29, 
 -29,  -29,  -28,  -28,  -28,  -27,  -27,  -26,  -26,  -26, 
 -25,  -25,  -25,  -24,  -24,  -23,  -23,  -23,  -22,  -22, 
 -22,  -21,  -21,  -20,  -20,  -20,  -19,  -19,  -19,  -18, 
 -18,  -17,  -17,  -17,  -16,  -16,  -16,  -15,  -15,  -14, 
 -14,  -14,  -13,  -13,  -13,  -12,  -12,  -11,  -11,  -11, 
 -10,  -10,  -10,   -9,   -9,   -8,   -8,   -8,   -7,   -7, 
  -7,   -6,   -6,   -5,   -5,   -5,   -4,   -4,   -4,   -3, 
  -3,   -2,   -2,   -2,   -1,   -1,   -1,    0,    1,    1, 
   1,    2,    2,    2,    3,    3,    4,    4,    4,    5, 
   5,    5,    6,    6,    7,    7,    7,    8,    8,    8, 
   9,    9,   10,   10,   10,   11,   11,   11,   12,   12, 
  13,   13,   13,   14,   14,   14,   15,   15,   16,   16, 
  16,   17,   17,   17,   18,   18,   19,   19,   19,   20, 
  20,   20,   21,   21,   22,   22,   22,   23,   23,   23, 
  24,   24,   25,   25,   25,   26,   26,   26,   27,   27, 
  28,   28,   28,   29,   29,   29,   30,   30,   31,   31, 
  31,   32,   32,   32,   33,   33,   34,   34,   34,   35, 
  35,   35,   36,   36,   37,   37,   37,   38,   38,   38, 
  39,   39,   40,   40,   40,   41,   41,   41,   42,   42, 
  43,   43,   43,   44,   44,   44,   45,   45,   46,   46, 
  46,   47,   47,   47,   48, },
{
 -64,  -63,  -63,  -62,  -62,  -61,  -61,  -60,  -60,  -59, 
 -59,  -58,  -58,  -57,  -57,  -56,  -56,  -55,  -55,  -54, 
 -54,  -53,  -53,  -52,  -52,  -51,  -51,  -50,  -50,  -49, 
 -49,  -48,  -48,  -47,  -47,  -46,  -46,  -45,  -45,  -44, 
 -44,  -43,  -43,  -42,  -42,  -41,  -41,  -40,  -40,  -39, 
 -39,  -38,  -38,  -37,  -37,  -36,  -36,  -35,  -35,  -34, 
 -34,  -33,  -33,  -32,  -32,  -31,  -31,  -30,  -30,  -29, 
 -29,  -28,  -28,  -27,  -27,  -26,  -26,  -25,  -25,  -24, 
 -24,  -23,  -23,  -22,  -22,  -21,  -21,  -20,  -20,  -19, 
 -19,  -18,  -18,  -17,  -17,  -16,  -16,  -15,  -15,  -14, 
 -14,  -13,  -13,  -12,  -12,  -11,  -11,  -10,  -10,   -9, 
  -9,   -8,   -8,   -7,   -7,   -6,   -6,   -5,   -5,   -4, 
  -4,   -3,   -3,   -2,   -2,   -1,   -1,    0,    1,    1, 
   2,    2,    3,    3,    4,    4,    5,    5,    6,    6, 
   7,    7,    8,    8,    9,    9,   10,   10,   11,   11, 
  12,   12,   13,   13,   14,   14,   15,   15,   16,   16, 
  17,   17,   18,   18,   19,   19,   20,   20,   21,   21, 
  22,   22,   23,   23,   24,   24,   25,   25,   26,   26, 
  27,   27,   28,   28,   29,   29,   30,   30,   31,   31, 
  32,   32,   33,   33,   34,   34,   35,   35,   36,   36, 
  37,   37,   38,   38,   39,   39,   40,   40,   41,   41, 
  42,   42,   43,   43,   44,   44,   45,   45,   46,   46, 
  47,   47,   48,   48,   49,   49,   50,   50,   51,   51, 
  52,   52,   53,   53,   54,   54,   55,   55,   56,   56, 
  57,   57,   58,   58,   59,   59,   60,   60,   61,   61, 
  62,   62,   63,   63,   64, },
{
 -80,  -79,  -78,  -78,  -77,  -77,  -76,  -75,  -75,  -74, 
 -73,  -73,  -72,  -72,  -71,  -70,  -70,  -69,  -68,  -68, 
 -67,  -67,  -66,  -65,  -65,  -64,  -63,  -63,  -62,  -62, 
 -61,  -60,  -60,  -59,  -58,  -58,  -57,  -57,  -56,  -55, 
 -55,  -54,  -53,  -53,  -52,  -52,  -51,  -50,  -50,  -49, 
 -48,  -48,  -47,  -47,  -46,  -45,  -45,  -44,  -43,  -43, 
 -42,  -42,  -41,  -40,  -40,  -39,  -38,  -38,  -37,  -37, 
 -36,  -35,  -35,  -34,  -33,  -33,  -32,  -32,  -31,  -30, 
 -30,  -29,  -28,  -28,  -27,  -27,  -26,  -25,  -25,  -24, 
 -23,  -23,  -22,  -22,  -21,  -20,  -20,  -19,  -18,  -18, 
 -17,  -17,  -16,  -15,  -15,  -14,  -13,  -13,  -12,  -12, 
 -11,  -10,  -10,   -9,   -8,   -8,   -7,   -7,   -6,   -5, 
  -5,   -4,   -3,   -3,   -2,   -2,   -1,    0,    1,    2, 
   2,    3,    3,    4,    5,    5,    6,    7,    7,    8, 
   8,    9,   10,   10,   11,   12,   12,   13,   13,   14, 
  15,   15,   16,   17,   17,   18,   18,   19,   20,   20, 
  21,   22,   22,   23,   23,   24,   25,   25,   26,   27, 
  27,   28,   28,   29,   30,   30,   31,   32,   32,   33, 
  33,   34,   35,   35,   36,   37,   37,   38,   38,   39, 
  40,   40,   41,   42,   42,   43,   43,   44,   45,   45, 
  46,   47,   47,   48,   48,   49,   50,   50,   51,   52, 
  52,   53,   53,   54,   55,   55,   56,   57,   57,   58, 
  58,   59,   60,   60,   61,   62,   62,   63,   63,   64, 
  65,   65,   66,   67,   67,   68,   68,   69,   70,   70, 
  71,   72,   72,   73,   73,   74,   75,   75,   76,   77, 
  77,   78,   78,   79,   80, },
{
 -96,  -95,  -94,  -93,  -93,  -92,  -91,  -90,  -90,  -89, 
 -88,  -87,  -87,  -86,  -85,  -84,  -84,  -83,  -82,  -81, 
 -81,  -80,  -79,  -78,  -78,  -77,  -76,  -75,  -75,  -74, 
 -73,  -72,  -72,  -71,  -70,  -69,  -69,  -68,  -67,  -66, 
 -66,  -65,  -64,  -63,  -63,  -62,  -61,  -60,  -60,  -59, 
 -58,  -57,  -57,  -56,  -55,  -54,  -54,  -53,  -52,  -51, 
 -51,  -50,  -49,  -48,  -48,  -47,  -46,  -45,  -45,  -44, 
 -43,  -42,  -42,  -41,  -40,  -39,  -39,  -38,  -37,  -36, 
 -36,  -35,  -34,  -33,  -33,  -32,  -31,  -30,  -30,  -29, 
 -28,  -27,  -27,  -26,  -25,  -24,  -24,  -23,  -22,  -21, 
 -21,  -20,  -19,  -18,  -18,  -17,  -16,  -15,  -15,  -14, 
 -13,  -12,  -12,  -11,  -10,   -9,   -9,   -8,   -7,   -6, 
  -6,   -5,   -4,   -3,   -3,   -2,   -1,    0,    1,    2, 
   3,    3,    4,    5,    6,    6,    7,    8,    9,    9, 
  10,   11,   12,   12,   13,   14,   15,   15,   16,   17, 
  18,   18,   19,   20,   21,   21,   22,   23,   24,   24, 
  25,   26,   27,   27,   28,   29,   30,   30,   31,   32, 
  33,   33,   34,   35,   36,   36,   37,   38,   39,   39, 
  40,   41,   42,   42,   43,   44,   45,   45,   46,   47, 
  48,   48,   49,   50,   51,   51,   52,   53,   54,   54, 
  55,   56,   57,   57,   58,   59,   60,   60,   61,   62, 
  63,   63,   64,   65,   66,   66,   67,   68,   69,   69, 
  70,   71,   72,   72,   73,   74,   75,   75,   76,   77, 
  78,   78,   79,   80,   81,   81,   82,   83,   84,   84, 
  85,   86,   87,   87,   88,   89,   90,   90,   91,   92, 
  93,   93,   94,   95,   96, },
{
-112, -111, -110, -109, -108, -107, -106, -105, -105, -104, 
-103, -102, -101, -100,  -99,  -98,  -98,  -97,  -96,  -95, 
 -94,  -93,  -92,  -91,  -91,  -90,  -89,  -88,  -87,  -86, 
 -85,  -84,  -84,  -83,  -82,  -81,  -80,  -79,  -78,  -77, 
 -77,  -76,  -75,  -74,  -73,  -72,  -71,  -70,  -70,  -69, 
 -68,  -67,  -66,  -65,  -64,  -63,  -63,  -62,  -61,  -60, 
 -59,  -58,  -57,  -56,  -56,  -55,  -54,  -53,  -52,  -51, 
 -50,  -49,  -49,  -48,  -47,  -46,  -45,  -44,  -43,  -42, 
 -42,  -41,  -40,  -39,  -38,  -37,  -36,  -35,  -35,  -34, 
 -33,  -32,  -31,  -30,  -29,  -28,  -28,  -27,  -26,  -25, 
 -24,  -23,  -22,  -21,  -21,  -20,  -19,  -18,  -17,  -16, 
 -15,  -14,  -14,  -13,  -12,  -11,  -10,   -9,   -8,   -7, 
  -7,   -6,   -5,   -4,   -3,   -2,   -1,    0,    1,    2, 
   3,    4,    5,    6,    7,    7,    8,    9,   10,   11, 
  12,   13,   14,   14,   15,   16,   17,   18,   19,   20, 
  21,   21,   22,   23,   24,   25,   26,   27,   28,   28, 
  29,   30,   31,   32,   33,   34,   35,   35,   36,   37, 
  38,   39,   40,   41,   42,   42,   43,   44,   45,   46, 
  47,   48,   49,   49,   50,   51,   52,   53,   54,   55, 
  56,   56,   57,   58,   59,   60,   61,   62,   63,   63, 
  64,   65,   66,   67,   68,   69,   70,   70,   71,   72, 
  73,   74,   75,   76,   77,   77,   78,   79,   80,   81, 
  82,   83,   84,   84,   85,   86,   87,   88,   89,   90, 
  91,   91,   92,   93,   94,   95,   96,   97,   98,   98, 
  99,  100,  101,  102,  103,  104,  105,  105,  106,  107, 
 108,  109,  110,  111,  112, },
{
-127, -126, -125, -124, -123, -122, -121, -120, -119, -118, 
-117, -116, -115, -114, -113, -112, -111, -110, -109, -108, 
-107, -106, -105, -104, -103, -102, -101, -100,  -99,  -98, 
 -97,  -96,  -95,  -94,  -93,  -92,  -91,  -90,  -89,  -88, 
 -87,  -86,  -85,  -84,  -83,  -82,  -81,  -80,  -79,  -78, 
 -77,  -76,  -75,  -74,  -73,  -72,  -71,  -70,  -69,  -68, 
 -67,  -66,  -65,  -64,  -63,  -62,  -61,  -60,  -59,  -58, 
 -57,  -56,  -55,  -54,  -53,  -52,  -51,  -50,  -49,  -48, 
 -47,  -46,  -45,  -44,  -43,  -42,  -41,  -40,  -39,  -38, 
 -37,  -36,  -35,  -34,  -33,  -32,  -31,  -30,  -29,  -28, 
 -27,  -26,  -25,  -24,  -23,  -22,  -21,  -20,  -19,  -18, 
 -17,  -16,  -15,  -14,  -13,  -12,  -11,  -10,   -9,   -8, 
  -7,   -6,   -5,   -4,   -3,   -2,   -1,    0,    1,    2, 
   3,    4,    5,    6,    7,    8,    9,   10,   11,   12, 
  13,   14,   15,   16,   17,   18,   19,   20,   21,   22, 
  23,   24,   25,   26,   27,   28,   29,   30,   31,   32, 
  33,   34,   35,   36,   37,   38,   39,   40,   41,   42, 
  43,   44,   45,   46,   47,   48,   49,   50,   51,   52, 
  53,   54,   55,   56,   57,   58,   59,   60,   61,   62, 
  63,   64,   65,   66,   67,   68,   69,   70,   71,   72, 
  73,   74,   75,   76,   77,   78,   79,   80,   81,   82, 
  83,   84,   85,   86,   87,   88,   89,   90,   91,   92, 
  93,   94,   95,   96,   97,   98,   99,  100,  101,  102, 
 103,  104,  105,  106,  107,  108,  109,  110,  111,  112, 
 113,  114,  115,  116,  117,  118,  119,  120,  121,  122, 
 123,  124,  125,  126,  127, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -127, -125, -124, -123, -122, 
-121, -120, -119, -118, -116, -115, -114, -113, -112, -111, 
-110, -109, -107, -106, -105, -104, -103, -102, -101, -100, 
 -98,  -97,  -96,  -95,  -94,  -93,  -92,  -91,  -89,  -88, 
 -87,  -86,  -85,  -84,  -83,  -82,  -80,  -79,  -78,  -77, 
 -76,  -75,  -74,  -73,  -71,  -70,  -69,  -68,  -67,  -66, 
 -65,  -64,  -62,  -61,  -60,  -59,  -58,  -57,  -56,  -55, 
 -53,  -52,  -51,  -50,  -49,  -48,  -47,  -46,  -44,  -43, 
 -42,  -41,  -40,  -39,  -38,  -37,  -35,  -34,  -33,  -32, 
 -31,  -30,  -29,  -28,  -26,  -25,  -24,  -23,  -22,  -21, 
 -20,  -19,  -17,  -16,  -15,  -14,  -13,  -12,  -11,  -10, 
  -8,   -7,   -6,   -5,   -4,   -3,   -2,    0,    2,    3, 
   4,    5,    6,    7,    8,   10,   11,   12,   13,   14, 
  15,   16,   17,   19,   20,   21,   22,   23,   24,   25, 
  26,   28,   29,   30,   31,   32,   33,   34,   35,   37, 
  38,   39,   40,   41,   42,   43,   44,   46,   47,   48, 
  49,   50,   51,   52,   53,   55,   56,   57,   58,   59, 
  60,   61,   62,   64,   65,   66,   67,   68,   69,   70, 
  71,   73,   74,   75,   76,   77,   78,   79,   80,   82, 
  83,   84,   85,   86,   87,   88,   89,   91,   92,   93, 
  94,   95,   96,   97,   98,  100,  101,  102,  103,  104, 
 105,  106,  107,  109,  110,  111,  112,  113,  114,  115, 
 116,  118,  119,  120,  121,  122,  123,  124,  125,  127, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -127, -126, -124, -123, 
-122, -121, -119, -118, -117, -116, -114, -113, -112, -111, 
-109, -108, -107, -106, -104, -103, -102, -101,  -99,  -98, 
 -97,  -96,  -94,  -93,  -92,  -91,  -89,  -88,  -87,  -86, 
 -84,  -83,  -82,  -81,  -79,  -78,  -77,  -76,  -74,  -73, 
 -72,  -71,  -69,  -68,  -67,  -66,  -64,  -63,  -62,  -61, 
 -59,  -58,  -57,  -56,  -54,  -53,  -52,  -51,  -49,  -48, 
 -47,  -46,  -44,  -43,  -42,  -41,  -39,  -38,  -37,  -36, 
 -34,  -33,  -32,  -31,  -29,  -28,  -27,  -26,  -24,  -23, 
 -22,  -21,  -19,  -18,  -17,  -16,  -14,  -13,  -12,  -11, 
  -9,   -8,   -7,   -6,   -4,   -3,   -2,    0,    2,    3, 
   4,    6,    7,    8,    9,   11,   12,   13,   14,   16, 
  17,   18,   19,   21,   22,   23,   24,   26,   27,   28, 
  29,   31,   32,   33,   34,   36,   37,   38,   39,   41, 
  42,   43,   44,   46,   47,   48,   49,   51,   52,   53, 
  54,   56,   57,   58,   59,   61,   62,   63,   64,   66, 
  67,   68,   69,   71,   72,   73,   74,   76,   77,   78, 
  79,   81,   82,   83,   84,   86,   87,   88,   89,   91, 
  92,   93,   94,   96,   97,   98,   99,  101,  102,  103, 
 104,  106,  107,  108,  109,  111,  112,  113,  114,  116, 
 117,  118,  119,  121,  122,  123,  124,  126,  127,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -127, -126, -124, -123, -122, 
-120, -119, -118, -116, -115, -113, -112, -111, -109, -108, 
-107, -105, -104, -102, -101, -100,  -98,  -97,  -96,  -94, 
 -93,  -91,  -90,  -89,  -87,  -86,  -85,  -83,  -82,  -80, 
 -79,  -78,  -76,  -75,  -74,  -72,  -71,  -69,  -68,  -67, 
 -65,  -64,  -63,  -61,  -60,  -58,  -57,  -56,  -54,  -53, 
 -52,  -50,  -49,  -47,  -46,  -45,  -43,  -42,  -41,  -39, 
 -38,  -36,  -35,  -34,  -32,  -31,  -30,  -28,  -27,  -25, 
 -24,  -23,  -21,  -20,  -19,  -17,  -16,  -14,  -13,  -12, 
 -10,   -9,   -8,   -6,   -5,   -3,   -2,    0,    2,    3, 
   5,    6,    8,    9,   10,   12,   13,   14,   16,   17, 
  19,   20,   21,   23,   24,   25,   27,   28,   30,   31, 
  32,   34,   35,   36,   38,   39,   41,   42,   43,   45, 
  46,   47,   49,   50,   52,   53,   54,   56,   57,   58, 
  60,   61,   63,   64,   65,   67,   68,   69,   71,   72, 
  74,   75,   76,   78,   79,   80,   82,   83,   85,   86, 
  87,   89,   90,   91,   93,   94,   96,   97,   98,  100, 
 101,  102,  104,  105,  107,  108,  109,  111,  112,  113, 
 115,  116,  118,  119,  120,  122,  123,  124,  126,  127, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -127, -125, -124, -122, -121, -119, -118, 
-116, -115, -113, -112, -110, -109, -107, -106, -104, -103, 
-101, -100,  -98,  -97,  -95,  -94,  -92,  -91,  -89,  -88, 
 -86,  -85,  -83,  -82,  -80,  -79,  -77,  -76,  -74,  -73, 
 -71,  -70,  -68,  -67,  -65,  -64,  -62,  -61,  -59,  -58, 
 -56,  -55,  -53,  -52,  -50,  -49,  -47,  -46,  -44,  -43, 
 -41,  -40,  -38,  -37,  -35,  -34,  -32,  -31,  -29,  -28, 
 -26,  -25,  -23,  -22,  -20,  -19,  -17,  -16,  -14,  -13, 
 -11,  -10,   -8,   -7,   -5,   -4,   -2,    0,    2,    4, 
   5,    7,    8,   10,   11,   13,   14,   16,   17,   19, 
  20,   22,   23,   25,   26,   28,   29,   31,   32,   34, 
  35,   37,   38,   40,   41,   43,   44,   46,   47,   49, 
  50,   52,   53,   55,   56,   58,   59,   61,   62,   64, 
  65,   67,   68,   70,   71,   73,   74,   76,   77,   79, 
  80,   82,   83,   85,   86,   88,   89,   91,   92,   94, 
  95,   97,   98,  100,  101,  103,  104,  106,  107,  109, 
 110,  112,  113,  115,  116,  118,  119,  121,  122,  124, 
 125,  127,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-126, -124, -123, -121, -119, -118, -116, -115, -113, -111, 
-110, -108, -106, -105, -103, -102, -100,  -98,  -97,  -95, 
 -93,  -92,  -90,  -89,  -87,  -85,  -84,  -82,  -80,  -79, 
 -77,  -76,  -74,  -72,  -71,  -69,  -67,  -66,  -64,  -63, 
 -61,  -59,  -58,  -56,  -54,  -53,  -51,  -50,  -48,  -46, 
 -45,  -43,  -41,  -40,  -38,  -37,  -35,  -33,  -32,  -30, 
 -28,  -27,  -25,  -24,  -22,  -20,  -19,  -17,  -15,  -14, 
 -12,  -11,   -9,   -7,   -6,   -4,   -2,    0,    2,    4, 
   6,    7,    9,   11,   12,   14,   15,   17,   19,   20, 
  22,   24,   25,   27,   28,   30,   32,   33,   35,   37, 
  38,   40,   41,   43,   45,   46,   48,   50,   51,   53, 
  54,   56,   58,   59,   61,   63,   64,   66,   67,   69, 
  71,   72,   74,   76,   77,   79,   80,   82,   84,   85, 
  87,   89,   90,   92,   93,   95,   97,   98,  100,  102, 
 103,  105,  106,  108,  110,  111,  113,  115,  116,  118, 
 119,  121,  123,  124,  126,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -127, -125, -123, -122, -120, 
-118, -116, -115, -113, -111, -109, -108, -106, -104, -102, 
-101,  -99,  -97,  -95,  -94,  -92,  -90,  -88,  -87,  -85, 
 -83,  -81,  -80,  -78,  -76,  -74,  -73,  -71,  -69,  -67, 
 -66,  -64,  -62,  -60,  -59,  -57,  -55,  -53,  -52,  -50, 
 -48,  -46,  -45,  -43,  -41,  -39,  -38,  -36,  -34,  -32, 
 -31,  -29,  -27,  -25,  -24,  -22,  -20,  -18,  -17,  -15, 
 -13,  -11,  -10,   -8,   -6,   -4,   -3,    0,    3,    4, 
   6,    8,   10,   11,   13,   15,   17,   18,   20,   22, 
  24,   25,   27,   29,   31,   32,   34,   36,   38,   39, 
  41,   43,   45,   46,   48,   50,   52,   53,   55,   57, 
  59,   60,   62,   64,   66,   67,   69,   71,   73,   74, 
  76,   78,   80,   81,   83,   85,   87,   88,   90,   92, 
  94,   95,   97,   99,  101,  102,  104,  106,  108,  109, 
 111,  113,  115,  116,  118,  120,  122,  123,  125,  127, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-127, -125, -123, -121, -119, -117, -115, -113, -112, -110, 
-108, -106, -104, -102, -100,  -98,  -97,  -95,  -93,  -91, 
 -89,  -87,  -85,  -83,  -82,  -80,  -78,  -76,  -74,  -72, 
 -70,  -68,  -67,  -65,  -63,  -61,  -59,  -57,  -55,  -53, 
 -52,  -50,  -48,  -46,  -44,  -42,  -40,  -38,  -37,  -35, 
 -33,  -31,  -29,  -27,  -25,  -23,  -22,  -20,  -18,  -16, 
 -14,  -12,  -10,   -8,   -7,   -5,   -3,    0,    3,    5, 
   7,    8,   10,   12,   14,   16,   18,   20,   22,   23, 
  25,   27,   29,   31,   33,   35,   37,   38,   40,   42, 
  44,   46,   48,   50,   52,   53,   55,   57,   59,   61, 
  63,   65,   67,   68,   70,   72,   74,   76,   78,   80, 
  82,   83,   85,   87,   89,   91,   93,   95,   97,   98, 
 100,  102,  104,  106,  108,  110,  112,  113,  115,  117, 
 119,  121,  123,  125,  127,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -127, -125, -123, -121, -119, -117, 
-115, -113, -111, -109, -107, -105, -103, -101,  -99,  -97, 
 -95,  -93,  -91,  -89,  -87,  -85,  -83,  -81,  -79,  -77, 
 -75,  -73,  -71,  -69,  -67,  -65,  -63,  -61,  -59,  -57, 
 -55,  -53,  -51,  -49,  -47,  -45,  -43,  -41,  -39,  -37, 
 -35,  -33,  -31,  -29,  -27,  -25,  -23,  -21,  -19,  -17, 
 -15,  -13,  -11,   -9,   -7,   -5,   -3,    0,    3,    5, 
   7,    9,   11,   13,   15,   17,   19,   21,   23,   25, 
  27,   29,   31,   33,   35,   37,   39,   41,   43,   45, 
  47,   49,   51,   53,   55,   57,   59,   61,   63,   65, 
  67,   69,   71,   73,   75,   77,   79,   81,   83,   85, 
  87,   89,   91,   93,   95,   97,   99,  101,  103,  105, 
 107,  109,  111,  113,  115,  117,  119,  121,  123,  125, 
 127,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -126, -124, 
-122, -120, -118, -116, -114, -112, -109, -107, -105, -103, 
-101,  -99,  -97,  -95,  -92,  -90,  -88,  -86,  -84,  -82, 
 -80,  -78,  -75,  -73,  -71,  -69,  -67,  -65,  -63,  -61, 
 -58,  -56,  -54,  -52,  -50,  -48,  -46,  -44,  -41,  -39, 
 -37,  -35,  -33,  -31,  -29,  -27,  -24,  -22,  -20,  -18, 
 -16,  -14,  -12,  -10,   -7,   -5,   -3,    0,    3,    5, 
   7,   10,   12,   14,   16,   18,   20,   22,   24,   27, 
  29,   31,   33,   35,   37,   39,   41,   44,   46,   48, 
  50,   52,   54,   56,   58,   61,   63,   65,   67,   69, 
  71,   73,   75,   78,   80,   82,   84,   86,   88,   90, 
  92,   95,   97,   99,  101,  103,  105,  107,  109,  112, 
 114,  116,  118,  120,  122,  124,  126,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -127, -125, -123, -120, -118, -116, -114, -111, -109, 
-107, -105, -102, -100,  -98,  -96,  -93,  -91,  -89,  -87, 
 -84,  -82,  -80,  -78,  -75,  -73,  -71,  -69,  -66,  -64, 
 -62,  -60,  -57,  -55,  -53,  -51,  -48,  -46,  -44,  -42, 
 -39,  -37,  -35,  -33,  -30,  -28,  -26,  -24,  -21,  -19, 
 -17,  -15,  -12,  -10,   -8,   -6,   -3,    0,    3,    6, 
   8,   10,   12,   15,   17,   19,   21,   24,   26,   28, 
  30,   33,   35,   37,   39,   42,   44,   46,   48,   51, 
  53,   55,   57,   60,   62,   64,   66,   69,   71,   73, 
  75,   78,   80,   82,   84,   87,   89,   91,   93,   96, 
  98,  100,  102,  105,  107,  109,  111,  114,  116,  118, 
 120,  123,  125,  127,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -127, -125, -122, -120, -118, -115, 
-113, -110, -108, -106, -103, -101,  -99,  -96,  -94,  -91, 
 -89,  -87,  -84,  -82,  -80,  -77,  -75,  -72,  -70,  -68, 
 -65,  -63,  -61,  -58,  -56,  -53,  -51,  -49,  -46,  -44, 
 -42,  -39,  -37,  -34,  -32,  -30,  -27,  -25,  -23,  -20, 
 -18,  -15,  -13,  -11,   -8,   -6,   -4,    0,    4,    6, 
   8,   11,   13,   15,   18,   20,   23,   25,   27,   30, 
  32,   34,   37,   39,   42,   44,   46,   49,   51,   53, 
  56,   58,   61,   63,   65,   68,   70,   72,   75,   77, 
  80,   82,   84,   87,   89,   91,   94,   96,   99,  101, 
 103,  106,  108,  110,  113,  115,  118,  120,  122,  125, 
 127,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -126, -124, -121, 
-119, -116, -114, -111, -109, -106, -104, -101,  -99,  -96, 
 -94,  -91,  -89,  -86,  -84,  -81,  -79,  -76,  -74,  -71, 
 -69,  -66,  -64,  -61,  -59,  -56,  -54,  -51,  -49,  -46, 
 -44,  -41,  -39,  -36,  -34,  -31,  -29,  -26,  -24,  -21, 
 -19,  -16,  -14,  -11,   -9,   -6,   -4,    0,    4,    6, 
   9,   11,   14,   16,   19,   21,   24,   26,   29,   31, 
  34,   36,   39,   41,   44,   46,   49,   51,   54,   56, 
  59,   61,   64,   66,   69,   71,   74,   76,   79,   81, 
  84,   86,   89,   91,   94,   96,   99,  101,  104,  106, 
 109,  111,  114,  116,  119,  121,  124,  126,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -127, 
-125, -122, -119, -117, -114, -112, -109, -106, -104, -101, 
 -98,  -96,  -93,  -91,  -88,  -85,  -83,  -80,  -77,  -75, 
 -72,  -70,  -67,  -64,  -62,  -59,  -56,  -54,  -51,  -49, 
 -46,  -43,  -41,  -38,  -35,  -33,  -30,  -28,  -25,  -22, 
 -20,  -17,  -14,  -12,   -9,   -7,   -4,    0,    4,    7, 
   9,   12,   14,   17,   20,   22,   25,   28,   30,   33, 
  35,   38,   41,   43,   46,   49,   51,   54,   56,   59, 
  62,   64,   67,   70,   72,   75,   77,   80,   83,   85, 
  88,   91,   93,   96,   98,  101,  104,  106,  109,  112, 
 114,  117,  119,  122,  125,  127,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -125, -122, -120, -117, -114, -111, -109, -106, 
-103, -100,  -98,  -95,  -92,  -89,  -87,  -84,  -81,  -78, 
 -76,  -73,  -70,  -67,  -65,  -62,  -59,  -56,  -54,  -51, 
 -48,  -45,  -43,  -40,  -37,  -34,  -32,  -29,  -26,  -23, 
 -21,  -18,  -15,  -12,  -10,   -7,   -4,    0,    4,    7, 
  10,   12,   15,   18,   21,   23,   26,   29,   32,   34, 
  37,   40,   43,   45,   48,   51,   54,   56,   59,   62, 
  65,   67,   70,   73,   76,   78,   81,   84,   87,   89, 
  92,   95,   98,  100,  103,  106,  109,  111,  114,  117, 
 120,  122,  125,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -125, -122, -119, -116, -114, -111, 
-108, -105, -102,  -99,  -96,  -93,  -91,  -88,  -85,  -82, 
 -79,  -76,  -73,  -70,  -68,  -65,  -62,  -59,  -56,  -53, 
 -50,  -47,  -45,  -42,  -39,  -36,  -33,  -30,  -27,  -24, 
 -22,  -19,  -16,  -13,  -10,   -7,   -4,    0,    4,    7, 
  10,   13,   16,   19,   22,   24,   27,   30,   33,   36, 
  39,   42,   45,   47,   50,   53,   56,   59,   62,   65, 
  68,   70,   73,   76,   79,   82,   85,   88,   91,   93, 
  96,   99,  102,  105,  108,  111,  114,  116,  119,  122, 
 125,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -127, -124, -121, -118, -115, 
-112, -109, -106, -103, -100,  -97,  -94,  -91,  -88,  -85, 
 -82,  -79,  -76,  -73,  -70,  -67,  -64,  -61,  -58,  -55, 
 -52,  -49,  -46,  -43,  -40,  -37,  -34,  -31,  -28,  -25, 
 -22,  -19,  -16,  -13,  -10,   -7,   -4,    0,    4,    7, 
  10,   13,   16,   19,   22,   25,   28,   31,   34,   37, 
  40,   43,   46,   49,   52,   55,   58,   61,   64,   67, 
  70,   73,   76,   79,   82,   85,   88,   91,   94,   97, 
 100,  103,  106,  109,  112,  115,  118,  121,  124,  127, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -127, -123, -120, 
-117, -114, -111, -108, -105, -102,  -98,  -95,  -92,  -89, 
 -86,  -83,  -80,  -77,  -73,  -70,  -67,  -64,  -61,  -58, 
 -55,  -52,  -48,  -45,  -42,  -39,  -36,  -33,  -30,  -27, 
 -23,  -20,  -17,  -14,  -11,   -8,   -5,    0,    5,    8, 
  11,   14,   17,   20,   23,   27,   30,   33,   36,   39, 
  42,   45,   48,   52,   55,   58,   61,   64,   67,   70, 
  73,   77,   80,   83,   86,   89,   92,   95,   98,  102, 
 105,  108,  111,  114,  117,  120,  123,  127,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -125, 
-122, -119, -115, -112, -109, -106, -102,  -99,  -96,  -93, 
 -89,  -86,  -83,  -80,  -76,  -73,  -70,  -67,  -63,  -60, 
 -57,  -54,  -50,  -47,  -44,  -41,  -37,  -34,  -31,  -28, 
 -24,  -21,  -18,  -15,  -11,   -8,   -5,    0,    5,    8, 
  11,   15,   18,   21,   24,   28,   31,   34,   37,   41, 
  44,   47,   50,   54,   57,   60,   63,   67,   70,   73, 
  76,   80,   83,   86,   89,   93,   96,   99,  102,  106, 
 109,  112,  115,  119,  122,  125,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-127, -123, -120, -116, -113, -110, -106, -103, -100,  -96, 
 -93,  -89,  -86,  -83,  -79,  -76,  -73,  -69,  -66,  -62, 
 -59,  -56,  -52,  -49,  -46,  -42,  -39,  -35,  -32,  -29, 
 -25,  -22,  -19,  -15,  -12,   -8,   -5,    0,    5,    8, 
  12,   15,   19,   22,   25,   29,   32,   35,   39,   42, 
  46,   49,   52,   56,   59,   62,   66,   69,   73,   76, 
  79,   83,   86,   89,   93,   96,  100,  103,  106,  110, 
 113,  116,  120,  123,  127,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -124, -121, -117, -114, -110, -107, -103, -100, 
 -96,  -93,  -89,  -86,  -82,  -79,  -75,  -72,  -68,  -65, 
 -61,  -58,  -54,  -51,  -47,  -44,  -40,  -37,  -33,  -30, 
 -26,  -23,  -19,  -16,  -12,   -9,   -5,    0,    5,    9, 
  12,   16,   19,   23,   26,   30,   33,   37,   40,   44, 
  47,   51,   54,   58,   61,   65,   68,   72,   75,   79, 
  82,   86,   89,   93,   96,  100,  103,  107,  110,  114, 
 117,  121,  124,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -125, -121, -118, -114, -111, -107, -103, 
-100,  -96,  -92,  -89,  -85,  -82,  -78,  -74,  -71,  -67, 
 -63,  -60,  -56,  -53,  -49,  -45,  -42,  -38,  -34,  -31, 
 -27,  -24,  -20,  -16,  -13,   -9,   -5,    0,    5,    9, 
  13,   16,   20,   24,   27,   31,   34,   38,   42,   45, 
  49,   53,   56,   60,   63,   67,   71,   74,   78,   82, 
  85,   89,   92,   96,  100,  103,  107,  111,  114,  118, 
 121,  125,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -126, -122, -118, -114, -111, -107, 
-103,  -99,  -96,  -92,  -88,  -84,  -81,  -77,  -73,  -69, 
 -66,  -62,  -58,  -54,  -51,  -47,  -43,  -39,  -36,  -32, 
 -28,  -24,  -21,  -17,  -13,   -9,   -6,    0,    6,    9, 
  13,   17,   21,   24,   28,   32,   36,   39,   43,   47, 
  51,   54,   58,   62,   66,   69,   73,   77,   81,   84, 
  88,   92,   96,   99,  103,  107,  111,  114,  118,  122, 
 126,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -126, -122, -118, -114, -110, 
-107, -103,  -99,  -95,  -91,  -87,  -83,  -79,  -76,  -72, 
 -68,  -64,  -60,  -56,  -52,  -48,  -45,  -41,  -37,  -33, 
 -29,  -25,  -21,  -17,  -14,  -10,   -6,    0,    6,   10, 
  14,   17,   21,   25,   29,   33,   37,   41,   45,   48, 
  52,   56,   60,   64,   68,   72,   76,   79,   83,   87, 
  91,   95,   99,  103,  107,  110,  114,  118,  122,  126, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, }
};


